summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'scripts')
-rw-r--r--scripts/RELEASE_HOWTO2
-rw-r--r--[-rwxr-xr-x]scripts/codingstyle.sh4
-rw-r--r--scripts/cppcheck.sh39
-rw-r--r--scripts/download_i18n.sh83
-rw-r--r--[-rwxr-xr-x]scripts/i18n.sh0
5 files changed, 125 insertions, 3 deletions
diff --git a/scripts/RELEASE_HOWTO b/scripts/RELEASE_HOWTO
index c0ae221e..eb3c3665 100644
--- a/scripts/RELEASE_HOWTO
+++ b/scripts/RELEASE_HOWTO
@@ -8,7 +8,7 @@ SECTION 0: A few days in advance
SECTION 1: Preparation
-* Check the README file is still relevant
+* Update CHANGELOG file
* Bump Version Number (in the CMakeLists.txt file)
* Commit the source to GIT
diff --git a/scripts/codingstyle.sh b/scripts/codingstyle.sh
index bb3add49..d13e84c0 100755..100644
--- a/scripts/codingstyle.sh
+++ b/scripts/codingstyle.sh
@@ -18,7 +18,7 @@
# ...
# }
#
-# I like this way, for me more readable.
+# I like this way, for me more readable. :)
#
# Kdelibs coding style is defined in http://techbase.kde.org/Policies/Kdelibs_Coding_Style
@@ -42,7 +42,7 @@ astyle \
`find -type f -name '*.cpp'` `find -type f -name '*.h'`
echo "Removing .orig files..."
-rm *.orig
+rm *.orig */*.orig
echo "Done!"
diff --git a/scripts/cppcheck.sh b/scripts/cppcheck.sh
new file mode 100644
index 00000000..be081040
--- /dev/null
+++ b/scripts/cppcheck.sh
@@ -0,0 +1,39 @@
+#!/bin/sh
+#
+# apply rekonq coding style to all cpp and header files in src directory
+#
+# requirements: installed astyle
+#
+# rekonq use kdelibs coding style, except for brackets, so while kdelibs coding style
+# is
+#
+# void foo() {
+# ...
+# }
+#
+# rekonq uses
+#
+# void foo()
+# {
+# ...
+# }
+#
+# I like this way, for me more readable. :)
+#
+# Kdelibs coding style is defined in http://techbase.kde.org/Policies/Kdelibs_Coding_Style
+
+
+PWD=$(pwd)
+
+cd $PWD
+cd ..
+cd src
+
+echo "cppcheck(ing)..."
+cppcheck \
+--enable=all \
+--force \
+--verbose \
+. 2>/tmp/cppcheck.out
+
+echo "DONE. read output in /tmp/cppcheck.out"
diff --git a/scripts/download_i18n.sh b/scripts/download_i18n.sh
new file mode 100644
index 00000000..a70c11d8
--- /dev/null
+++ b/scripts/download_i18n.sh
@@ -0,0 +1,83 @@
+#!/bin/sh
+# use this stupid script to just prepare rekonq
+# dir with translations.
+#
+# 1. Update the lists of the ready (about 80%) translations
+# check the situation here: http://l10n.kde.org/stats/gui/trunk-kde4/po/rekonq.po/
+LIST="pt_BR en_GB ca zh_CN cs da nl fr gl de hu it nds pl pt ru sr es sv tr uk"
+
+# 2. run this script. It will create an i18n dir in rekonq sources ($RK_SRCS variable, set it to your source path)
+# dir with all the listed translations (eg: italian translation = rekonq_it.po file)
+# plus the CMakeLists.txt file needed to compile them.
+RK_SRCS=/DATI/KDE/SRC/rekonq
+
+# 3. Uncomment the "ADD_SUBDIRECTORY( i18n )" line in main CMakeLists.txt file.
+
+# 4. test a package creation (to see the translations installed)
+
+# THAT's ALL!!
+
+########################################################################################################
+
+# exit on most errors
+set -e
+
+# current dir
+CWD=$(pwd)
+
+# create the i18n dir
+cd $RK_SRCS
+mkdir -p i18n
+cd i18n
+
+# download the po files
+for lang in $LIST
+do
+ wget http://websvn.kde.org/*checkout*/trunk/l10n-kde4/$lang/messages/playground-network/rekonq.po;
+ mv rekonq.po rekonq_$lang.po;
+done
+
+# create the CMakeLists.txt file for the translations
+
+
+echo '
+
+FIND_PROGRAM(GETTEXT_MSGFMT_EXECUTABLE msgfmt)
+
+IF(NOT GETTEXT_MSGFMT_EXECUTABLE)
+ MESSAGE(
+"------
+ NOTE: msgfmt not found. Translations will *not* be installed
+------")
+ELSE(NOT GETTEXT_MSGFMT_EXECUTABLE)
+
+ SET(catalogname rekonq)
+
+ ADD_CUSTOM_TARGET(translations ALL)
+
+ FILE(GLOB PO_FILES ${catalogname}*.po)
+
+ FOREACH(_poFile ${PO_FILES})
+ GET_FILENAME_COMPONENT(_poFileName ${_poFile} NAME)
+ STRING(REGEX REPLACE "^${catalogname}_?" "" _langCode ${_poFileName} )
+ STRING(REGEX REPLACE "\\.po$" "" _langCode ${_langCode} )
+
+ IF( _langCode )
+ GET_FILENAME_COMPONENT(_lang ${_poFile} NAME_WE)
+ SET(_gmoFile ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo)
+
+ ADD_CUSTOM_COMMAND(TARGET translations
+ COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} --check -o ${_gmoFile} ${_poFile}
+ DEPENDS ${_poFile})
+ INSTALL(FILES ${_gmoFile} DESTINATION ${LOCALE_INSTALL_DIR}/${_langCode}/LC_MESSAGES/ RENAME ${catalogname}.mo)
+ ENDIF( _langCode )
+
+ ENDFOREACH(_poFile ${PO_FILES})
+
+ENDIF(NOT GETTEXT_MSGFMT_EXECUTABLE)
+
+' > CMakeLists.txt
+
+# done :)
+cd $CWD
+echo "Done. Yuppy!"
diff --git a/scripts/i18n.sh b/scripts/i18n.sh
index e9b5444d..e9b5444d 100755..100644
--- a/scripts/i18n.sh
+++ b/scripts/i18n.sh